## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-asset
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        3.22.0
Release:        %autorelease
Summary:        Python Client for Google Cloud App Engine Admin

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
App Engine Admin allows you to manage your App Engine applications.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove extra scripts.
rm -f %{buildroot}%{_bindir}/fixup_asset*.py


%check
%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md


%changelog
* Wed Dec 13 2023 Packit <hello@packit.dev> - 3.22.0-1
- [packit] 3.22.0 upstream release
- Resolves rhbz#2253529

* Wed Dec 06 2023 Nikola Forró <nforro@redhat.com> - 3.20.1-3
- Do not sync release candidate versions

* Fri Nov 17 2023 Major Hayden <major@redhat.com> - 3.20.1-2
- Add sources for 3.20.1 rhbz#2249864

* Fri Nov 17 2023 Major Hayden <major@redhat.com> - 3.20.1-1
- Update to 3.20.1 rhbz#2249864

* Mon Oct 23 2023 Major Hayden <major@redhat.com> - 3.20.0-1
- Update to 3.20.0 rhbz#2244505

* Mon Oct 23 2023 Major Hayden <major@redhat.com> - 3.19.1-3
- Add packit config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 3.19.1-1
- Update to 3.19.1 rhbz#2219850

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 3.19.0-2
- Rebuilt for Python 3.12

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 3.19.0-1
- Update to 3.19.0 rhbz#2184049

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 3.18.1-1
- Update to 3.18.1 rhbz#2182102

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 3.18.0-1
- Update to 3.18.0 rhbz#2173111

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 3.17.1-1
- Update to 3.17.1

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 3.14.2-3
- Disable tests due to broken imports

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 3.14.2-1
- Update to 3.14.2 rhbz#2131883

* Tue Sep 20 2022 Major Hayden <major@redhat.com> - 3.14.0-1
- Update to 3.14.0 rhbz#2128453

* Mon Sep 19 2022 Major Hayden <major@redhat.com> - 3.13.1-1
- Update to 3.13.1 rhbz#2126908

* Wed Aug 17 2022 Major Hayden <major@redhat.com> - 3.13.0-1
- Update to 3.13.0 rhbz#2119104

* Mon Aug 15 2022 Major Hayden <major@redhat.com> - 3.12.0-1
- Update to 3.12.0 rhbz#2118346

* Tue Aug 09 2022 Major Hayden <major@redhat.com> - 3.11.0-1
- Update to 3.11.0 rhbz#2116800

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 3.10.0-1
- Update to 3.10.0 rhbz#2108597

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 3.9.1-3
- Add import check rhbz#2098930

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 3.9.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 3.9.1-1
- Update to 3.9.0

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 3.9.0-1
- 🚀 Update to 3.9.0

* Tue Mar 08 2022 Major Hayden <major@redhat.com> - 3.8.1-1
- Update to 3.8.1

* Tue Mar 01 2022 Major Hayden <major@redhat.com> - 3.8.0-1
- Update to 3.8.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 03 2021 Major Hayden <major@redhat.com> - 3.7.1-1
- Update to 3.7.1

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> - 3.7.0-1
- Update to 3.7.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> - 3.6.1-1
- Initial import (#1998339)
